WordPress.org

Support

Support » Alpha/Beta » [Resolved] Visual Editor Error in WP 3.6-beta3-24375

[Resolved] Visual Editor Error in WP 3.6-beta3-24375

  • I just did a new install of 3.6-beta3-24375, and it has the same issue with the visual editor as version 3.5.1 has. The visual editor toolbar is missing. The two tabs are there (Visual/Text) but the toolbar is not. I tried using firebug to see it would give me an error and there was none and there are no other errors on the page.

Viewing 9 replies - 1 through 9 (of 9 total)
  • Finally found more information. An error message is “TypeError: DOM.events is undefined” and refers to:

    DOM.events.add( DOM.select('.wp-editor-wrap'), 'mousedown', function(e){

    This is part of “var wpActiveEditor” javascript code that is loaded on the edit Post page.

    I just did a new install of 3.6-beta3-24375, and it has the same issue with the visual editor as version 3.5.1 has. The visual editor toolbar is missing.

    That’s you, not WP. Visual Toolbar works just fine on a clean build, so you must have a conflict somewhere on your site.

    I bed to differ — I thought this might be a possibility, so I did a new install of wordpress and have the same problem before loading any plugins. AND I have it happening on all three of my sites, and one of my client sites….. somethin’ strange is goin’ on.

    Anyone who gets a clue about this … HELP!!!!

    If I had other plugins installed and/or activated, then yes, that would be the case. But the new install only has the native Akismet plugin not activated as well as the native theme which is of course activated.

    esmi

    @esmi

    Forum Moderator

    I cannot replicate your problem on a clean install either. And my other 3.5.1 sites (about 11) have no Visual Editor problems either. Perhaps it’s an issue with your server. Is it running mod_pagespeed?

    @esmi, no, mod_pagespeed is not installed on the server.

    esmi

    @esmi

    Forum Moderator

    Try adding define('SCRIPT_DEBUG', true);to the bottom of your wp-config.php file (just before the require_once line).

    (Mod pagespeed IS active on mine, but properly told to stuff it when it comes to wp-admin 😉 )

    You may need this:

    // Trunk is drunk
    define('SCRIPT_DEBUG', true);
    define('CONCATENATE_SCRIPTS', false);

    If your browser is caching this, it helps to force WP to un-chunk.

    Yah!!!! It works. Thank you.

Viewing 9 replies - 1 through 9 (of 9 total)
  • The topic ‘[Resolved] Visual Editor Error in WP 3.6-beta3-24375’ is closed to new replies.